# Class DeviceInfo#getNetworkMacInfo

DeviceInfo

- Defined in: deviceInfo.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DeviceInfo#getNetworkMacInfo(successCallback, errorCallback) Gets network MAC information.

## Class Detail

DeviceInfo#getNetworkMacInfo(successCallback, errorCallback)
Gets network MAC information.

    // Javascript code
    function getNetworkMacInformation () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
         console.log("wiredInfo.macAddress : " + cbObject.wiredInfo.macAddress);
         console.log("wifiInfo.macAddress : " + cbObject.wifiInfo.macAddress);

         // Do something
            ...
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var deviceInfo = new DeviceInfo();
      deviceInfo.getNetworkMacInfo(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  wiredInfo | Object | An object that has MAC address of the wired network interface.
  wiredInfo.macAddress | String | MAC address of the wired network interface.
  wifiInfo | Object | An object that has MAC address of the wireless network interface.
  wifiInfo.macAddress | String | MAC address of the wireless network interface.

See:
  DeviceInfo.getNetworkInfo()